\version "2.12.2"
\header{
  title="Пароход"
  poet="Д.Сухарев"
  composer="С.Никитин"
  tagline=""
}

%Буквенные обозначения, принятые в континентальной Европе:
%H --- си, B --- си-бемоль.
\include "deutsch.ly"

% Ajust size
%#(set-global-staff-size 30.0)
#(set! paper-alist (cons '("my size" . (cons (* 210 mm) (* 223 mm))) paper-alist)) % урезал высоту чтобы убрать пустое поле

\paper {
  #(set-paper-size "my size")
}

global = {
  \key d \minor
  \time 4/4
  \tempo 4 = 120
}

voiceOne = \new Voice = "one" { \relative c'' {
  \partial 8 a8
\set Score.repeatCommands = #(list (list 'volta '()) 'start-repeat)
    a4. f8 a8. f16 a8 h
    a4 e r a
    c a8 c ~ c h a gis
    a2. r8 a
    d4 d8 c ~ c c d c
    b4 d, r e
\set Score.repeatCommands = #'((volta #f) (volta "1.5.6.") end-repeat)
    f a a8. g16 g8 g
    f2. d4
    e b' a8. g16 e8 a \bar "||"
    d2. \coda r8 a
\set Score.repeatCommands = #'((volta #f) (volta "2.4.") end-repeat)
    f4. f8 g8. g16 f8. f16
    e2 ~ e4 r8 a
\set Score.repeatCommands = #'((volta #f) (volta "3.") end-repeat)
    f4. f8 g8. g16 gis8 gis
    a2 ~ a4 a
\set Score.repeatCommands = #'((volta #f) (volta "Окончание") end-repeat)
    d2. \coda ~ d8 c
    d1 ~
    d2 ~ d4 \bar "|."
\set Score.repeatCommands = #'((volta #f))
}}

voiceTwo = \new Voice = "two" { \relative c'' {
  \partial 8 a8
\set Score.repeatCommands = #(list (list 'volta '()) 'start-repeat)
    a4. f8 a8. f16 a8 h
    a4 e r a
    c a8 c ~ c h a gis
    a4 g f e
    d2. d'8 c
    b4 d, r e
\set Score.repeatCommands = #'((volta #f) (volta "1.5.6.") end-repeat)
    f f e8. d16 e8 e
    d2. d4
    e g e8. d16 cis8 e \bar "||"
    a2. \coda r8 a
\set Score.repeatCommands = #'((volta #f) (volta "2.4.") end-repeat)
    f4. d8 d8. d16 d8. d16
    e2 ~ e4 r8 a
\set Score.repeatCommands = #'((volta #f) (volta "3.") end-repeat)
    f4. d8 d8. d16 f8 f
    a2 ~ a4 a
\set Score.repeatCommands = #'((volta #f) (volta "Окончание") end-repeat)
    h2. \coda ~ h8 h
    h1 ~
    h2 ~ h4 \bar "|."
\set Score.repeatCommands = #'((volta #f))
}}

verses = \new Lyrics \lyricsto "one" {
  Не та -- ет ночь и не про -- хо -- дит,
  а на О -- ке, а над О -- кой
  кри -- чит слу -- чай -- ный па -- ро -- хо -- дик,
  над -- рыв -- ный, жа -- ло -- стный та -- кой.
  Над -- рыв -- ный, жа -- ло -- стный та -- кой.
  Ни --
  -- но под звёз -- да -- ми е -- му
  Он
  при -- ста -- ни, и ма -- я -- ки. Кри --
  -- кой.
}

versesTwo = \new Lyrics \lyricsto "two" {
  Не та -- ет ночь и не про -- хо -- дит,
  а на О -- ке, а над О -- кой, а над О --
  кой_— па -- ро -- хо -- дик,
  над -- рыв -- ный, жа -- ло -- стный та -- кой.
  Над -- рыв -- ный, жа -- ло -- стный та -- кой.
  Ни --
  -- но под звёз -- да -- ми е -- му
  Он
  при -- ста -- ни, и ма -- я -- ки. Кри --
  -- кой.
}

Chords = \new ChordNames \chordmode {
  % Обозначения аккордов, принятые в континентальной Европе
  \germanChords
  r8 |
  d1:m     | a:m        |
  h2:7 e:7 | a1:7       |
  d:7      | g2:m g:m/e |
  d:m a:7  | b d:7/a    |
  g:m a:7  | d1:m       |
  b2 g4:m gis:dim | g2:m/e a:7 |
  b2 g4:m gis:dim | g2:m/e a:7 |
  d1:m | g | d2:m d:m7+ |
}

\score{
  \new StaffGroup <<
    \Chords
    \new Staff
    <<
      \global
      \voiceOne
      \verses
    >>

    \new Staff
    <<
      \global
      \voiceTwo
      \versesTwo
    >>
  >>
  \layout{
    \context {
      \Score
      \remove "Bar_number_engraver"
    }
  }
}
\score{
  \unfoldRepeats {
    \new StaffGroup <<
      \new Staff
      <<
        \set Staff.midiInstrument = "flute"
        \global
        \voiceOne
        \verses
      >>

      \new Staff
      <<
        \set Staff.midiInstrument = "flute"
        \global
        \voiceTwo
      >>
    >>
  }
  \midi{}
}

\markup {
  \vspace #2
  \column {
    "Не тает ночь, и не проходит,"
    "А на Оке, а над Окой"
    "Кричит случайный пароходик -"
    "Надрывный, жалостный такой."
    \vspace #1
    "Никак тоски не переборет,"
    "Кричит в мерцающую тьму."
    "До слез, до боли в переборках"
    "Темно под звездами ему."
    \vspace #1
    "Он знает, как они огромны"
    "И как беспомощно мелки"
    "Все пароходы, все паромы,"
    "И пристани и маяки."
    \vspace #1
    "Кричит!.."
    "А в нем сидят студентки,"
    "Старуха дремлет у дверей,"
    "Храпят цыгане, чьи-то детки"
    "Домой торопятся скорей."
    \vspace #1
    "И, как планета, многолюден,"
    "Он прекращает ерунду"
    "И тихо шлепает в Голутвин,"
    "Глотая вздохи на ходу."
    \vspace #1
    "1959"
  }
}

